Subject: Re: [PATCH net-next v2 13/14] ixgbe: preserve RSS indirection table across admin down/up

From: Jakub Kicinski <[email-masked]>
Date: Mon, 20 Oct 2025 18:32:46 -0700

On Thu, 16 Oct 2025 23:08:42 -0700 Jacob Keller wrote:
> Currently, the RSS indirection table configured by user via ethtool is
> reinitialized to default values during interface resets (e.g., admin
> down/up, MTU change). As for RSS hash key, commit 3dfbfc7ebb95 ("ixgbe:
> Check for RSS key before setting value") made it persistent across
> interface resets.
> 
> Adopt the same approach used in igc and igb drivers which reinitializes
> the RSS indirection table only when the queue count changes. Since the
> number of RETA entries can also change in ixgbe, let's make user
> configuration persistent as long as both queue count and the number of
> RETA entries remain unchanged.

We should take this a step further and also not reinitialize if 
netif_is_rxfh_configured(). Or am I missing something?